Name:          opensaml-java-xmltooling
Version:       1.3.4
Release:       9%{?dist}
Summary:       Java XMLTooling library
License:       ASL 2.0 and W3C
Group:         Development/Libraries
URL:           http://www.opensaml.org/

# svn export https://svn.shibboleth.net/java-xmltooling/tags/1.3.4/ opensaml-java-xmltooling-1.3.4
# tar cafJ opensaml-java-xmltooling-1.3.4.tar.xz opensaml-java-xmltooling-1.3.4
Source0:       opensaml-java-xmltooling-%{version}.tar.xz
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

Patch0:        0001-Support-for-new-bouncycastle.patch

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: not-yet-commons-ssl
BuildRequires: jcip-annotations
BuildRequires: bouncycastle
BuildRequires: xml-security
BuildRequires: logback
BuildRequires: not-yet-commons-ssl
BuildRequires: apache-commons-codec
BuildRequires: joda-time
BuildRequires: xerces-j2
BuildRequires: xalan-j2
BuildRequires: xml-commons-apis
BuildRequires: opensaml-java-parent
BuildRequires: xmlunit

%if 0%{?fedora} >= 21
BuildRequires:    jcl-over-slf4j
BuildRequires:    jul-to-slf4j
BuildRequires:    log4j-over-slf4j
%else
BuildRequires:    slf4j
%endif

%description
Java XMLTooling is a low-level library that may be used to construct libraries
that allow developers to work with XML in a Java beans manner.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%patch0 -p1

sed -i "s|\${xerces.groupId}|xerces|" pom.xml
sed -i "s|bcprov-jdk15|bcprov-jdk16|" pom.xml

%pom_remove_dep "xerces:xml-apis"
%pom_remove_dep "xerces:serializer"

# Replace with %pom_add_dep in the future
%pom_xpath_inject "pom:dependencies" "<dependency><groupId>net.jcip</groupId><artifactId>jcip-annotations</artifactId><version>1</version></dependency>"

%build
# Certificate related tests fail: Tests run: 803, Failures: 24, Errors: 0, Skipped: 0
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc doc
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc
%doc doc

%changelog
* Tue Mar 24 2015 Marek Goldmann <mgoldman@redhat.com> - 1.3.4-9
- Support for new bouncycastle

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 07 2013 Marek Goldmann <mgoldman@redhat.com> - 1.3.4-7
- Using xmvn

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.3.4-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Oct 17 2012 Marek Goldmann <mgoldman@redhat.com> - 1.3.4-3
- License tag fix

* Mon Oct 15 2012 Marek Goldmann <mgoldman@redhat.com> - 1.3.4-2
- Using pom macros instead of patch
- Added some R
- Added license text file

* Tue Sep 18 2012 Patryk Obara <pobara@redhat.com> 1.3.4-1
- Initial packaging
